Subject: RE: XML Doctors???

From: Adam Roach <[email-masked]>
Date: Mon, 17 Nov 2003 12:12:03 -0600

To be fair, I wasn't aware of the existence of RFC 3470 until
this discussion. I was operating on word-of-mouth information
that likely predates its publication.

Personally, I find the following statement (from RFC 3470) to
be sufficiently clear on the topic:

   o  Protocols should use an appropriate formalism for defining
      validity of XML protocol elements.

/a

> -----Original Message-----
> From: Michael StJohns [mailto:[email-masked]]
> Sent: Monday, November 17, 2003 12:04
> To: [email-masked]; Adam Roach
> Cc: 'Cullen Jennings'; [email-masked]
> Subject: RE: XML Doctors???
> 
> 
> 
> Hmm... general comment.  If this (that DTD is acceptable 
> where sufficient) 
> isn't clear in the documentation probably need to update the 
> document to 
> reduce confusion.  In otherwords - we're should probably update BCP70 
> regardless.
> 
> Mike
> 
> 
> At 02:34 PM 11/16/2003, [email-masked] wrote:
> > > On the topic: I've heard conflicting information about the
> > > current opinion of the IESG regarding the use of Schema
> > > versus the use of DTDs. There seems to be a widespread
> > > belief that any new work is expected to use only Schema;
> > > however, I've received third- or fourth-hand information
> > > that DTDs are just fine as long as they serve the purpose.
> >
> > > In other words: "If you can't express what you're trying
> > > to say using DTDs, then use Schema; otherwise, it's the
> > > document editor's choice."
> >
> > > Is that accurate?
> >
> >Reasonably so, I think. RFC 3470, BCP 70, "Guidelines for the Use of 
> >Extensible
> >Markup Language (XML) within IETF Protocols", certainly 
> agrees. It discusses
> >the various approaches and concludes by saying that 
> "Protocols should use an
> >appropriate formalism for defining validity of XML protocol 
> elements."
> >
> >I think what people are reacting to is a sense that some 
> IESG members prefer
> >Schema because of its ability to more tighly constrain 
> what's valid and 
> >what is
> >not. But saying documents that use a DTD where a DTD is 
> sufficient will be
> >rejected on that basis is (hopefully) a stretch.
> >
> >It may also be the case that at some point we want to have a stronger
> >preference for Schema. An update to BCP 70 would be in order 
> should this come
> >to pass.
> >
> >                                 Ned
> 
>